package com.logicbig.example;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.time.LocalTime;

@Controller
@RequestMapping("/")
public class MyController {

    @GetMapping()
    public String mainTutorial(Model model) {
        addCommonAttributes(model);
        return "defMainTutorial";
    }

    @GetMapping("/java")
    public String javaTutorial(Model model) {
        addCommonAttributes(model);
        return "defJavaTutorial";
    }

    @GetMapping("/spring")
    public String springTutorial(Model model) {
        addCommonAttributes(model);
        return "defSpringTutorial";
    }

    private void addCommonAttributes(Model model) {
        model.addAttribute("time", LocalTime.now());
    }
}